## org.apache.taglibs.standard.tag.common.xml
Class JSTLXPathFactory

    java.lang.Object
      javax.xml.xpath.XPathFactory
          com.sun.org.apache.xpath.internal.jaxp.XPathFactoryImpl
              org.apache.taglibs.standard.tag.common.xml.JSTLXPathFactory

    public class JSTLXPathFactory

extends com.sun.org.apache.xpath.internal.jaxp.XPathFactoryImpl

This factory class is added to provide access to our own implementation of XPath, so that we can support a generic Object type in return type arguement for XPath's evaluate instance method.

Author:
  dhirup

Field Summary

Fields inherited from class javax.xml.xpath.XPathFactory
`DEFAULT_OBJECT_MODEL_URI, DEFAULT_PROPERTY_NAME`

Constructor Summary
`JSTLXPathFactory()`

Method Summary
`XPath` `newXPath()`

Methods inherited from class com.sun.org.apache.xpath.internal.jaxp.XPathFactoryImpl
`getFeature, isObjectModelSupported, setFeature, setXPathFunctionResolver, setXPathVariableResolver`

Methods inherited from class javax.xml.xpath.XPathFactory
`newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSTLXPathFactory

    public JSTLXPathFactory()

Method Detail

### newXPath

    public XPath newXPath()

  Overrides:
    `newXPath` in class `com.sun.org.apache.xpath.internal.jaxp.XPathFactoryImpl`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.